Topics

NVDA add-ons and Python 3 (directive): no 2019.4 yet

 

Hi all,

 

This directive was prompted by looking at manifest files for several add-ons:

 

NVDA Add-ons directive (July 2019 no. 2): several add-ons specify last tested version of 2019.4. As 2019.4 is not even out there yet (not even in development), please change last tested version to 2019.3 if and only if your add-ons are truly Python 3 ready (for speech synthesizers, once it passes speech refactor work) and need to be tested by the community.

 

Thanks.

Cheers,

Joseph

Brian's Mail list account
 

I think this happened as early builds of the Python 3 versions had 2019.4 as the proposed version but since then the release date has come forward a version, though I have to say, I do have misgivings about this due to maybe not enough testing yet.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Joseph Lee" <@joslee>
To: <nvda-devel@groups.io>
Sent: Monday, July 29, 2019 7:09 PM
Subject: [nvda-devel] NVDA add-ons and Python 3 (directive): no 2019.4 yet


Hi all,



This directive was prompted by looking at manifest files for several
add-ons:



NVDA Add-ons directive (July 2019 no. 2): several add-ons specify last
tested version of 2019.4. As 2019.4 is not even out there yet (not even in
development), please change last tested version to 2019.3 if and only if
your add-ons are truly Python 3 ready (for speech synthesizers, once it
passes speech refactor work) and need to be tested by the community.



Thanks.

Cheers,

Joseph